Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 672956 - Review Request: python26-lxml - ElementTree-like Python bindings for libxml2 and libxslt
Summary: Review Request: python26-lxml - ElementTree-like Python bindings for libxml2 ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: BJ Dierkes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 678690
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-01-26 19:27 UTC by Jeffrey Ness
Modified: 2015-01-30 02:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-29 20:47:21 UTC


Attachments (Terms of Use)

Description Jeffrey Ness 2011-01-26 19:27:33 UTC
Spec URL: http://flip-edesign.com/source/junk/python26-lxml.spec
SRPM URL: http://flip-edesign.com/source/junk/python26-lxml-2.2.7-1.fc14.src.rpm

Description: lxml provides a Python binding to the libxslt and libxml2 libraries.
It follows the ElementTree API as much as possible in order to provide
a more Pythonic interface to libxml2 and libxslt than the default
bindings.  In particular, lxml deals with Python Unicode strings
rather than encoded UTF-8 and handles memory management automatically,
unlike the default bindings.

===

$ rpmlint SRPMS/python26-lxml-2.2.7-1.fc14.src.rpm 
python26-lxml.src: W: spelling-error Summary(en_US) libxslt -> libelist, libelant, liberate
python26-lxml.src: W: spelling-error %description -l en_US libxslt -> libelist, libelant, liberate
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 BJ Dierkes 2011-01-27 23:05:29 UTC
Per previous conversations I've had with the current maintainers of python-lxml. we should try and patch python-lxml to support a subpackage of python26-lxml on el5 before submitting another package.

Comment 2 BJ Dierkes 2011-02-22 01:09:42 UTC
See: https://bugzilla.redhat.com/show_bug.cgi?id=678690

Comment 3 Leslie Satenstein 2013-11-24 05:46:27 UTC
In trying to install Final TC2 (Nov 20 Fedora 64bit DVD version) error message states

python-lxml-3.2.4.--fc20x86_64 requires python-cssselect

Comment 4 Jason Tibbitts 2015-01-29 20:47:21 UTC
This has been stalled for so long I can't see why it would still be open, and the comment above doesn't appear to have any relevance to this package.

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-01-30 02:11:26 UTC
_smp_mflags macro should be used for the number of threads. This makes it possible to override the number if necessary:

   parallel %{?_smp_mflags} --no-notice gzip -1 ::: data/*.tom

The spec file says license is GPLv3+, is it specified anywhere?


Note You need to log in before you can comment on or make changes to this bug.